# Uses of Interface
java.util.stream.Gatherer.Integrator.Greedy

Packages that use Gatherer.Integrator.Greedy
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of Gatherer.Integrator.Greedy in java.util.stream

Methods in java.util.stream that return Gatherer.Integrator.Greedy
Modifier and Type
Method
Description
`static <A,T,R> Gatherer.Integrator.Greedy<A,T,R>`
Gatherer.Integrator.`ofGreedy(Gatherer.Integrator.Greedy<A,T,R> greedy)`
Factory method for turning Integrator-shaped lambdas into `Gatherer.Integrator.Greedy` Integrators.
Methods in java.util.stream with parameters of type Gatherer.Integrator.Greedy
Modifier and Type
Method
Description
`static <A,T,R> Gatherer.Integrator.Greedy<A,T,R>`
Gatherer.Integrator.`ofGreedy(Gatherer.Integrator.Greedy<A,T,R> greedy)`
Factory method for turning Integrator-shaped lambdas into `Gatherer.Integrator.Greedy` Integrators.